winff (1.5.5-3) unstable; urgency=medium

  * Update presets for deprecated asyncts ffmpeg option (Closes: #870678)
  * Drop d/watch until there is a release on Github
  * Move desktop file to the winff binary package to enable better
    AppStream integration

 -- Paul Gevers <elbrus@debian.org>  Sun, 06 Aug 2017 11:12:22 -0400

winff (1.5.5-2) unstable; urgency=medium

  * Migrate to qt5 instead of qt4
  * Add enable-build-with-lazarus-1.8.patch to migrate away from
    deprecated functions in lazarus 1.8

 -- Paul Gevers <elbrus@debian.org>  Tue, 11 Jul 2017 20:18:11 +0200

winff (1.5.5-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches
  * Refresh patches
  * Enhance hardening with bindnow and pie (thanks Lintian)

 -- Paul Gevers <elbrus@debian.org>  Wed, 28 Sep 2016 20:55:06 +0200

winff (1.5.3-7) unstable; urgency=medium

  * Create scalable icon from the source file and install it; and drop the
    xpm icon (LP: #1575359)
  * Drop menu file per TC ruling
  * Drop the winff-dbg package and migrate to the standard debug framework
  * Add winff-data package to fix cyclic dependencies (Closes: #798191)
  * Fix Desktop file to allow wff files to be loaded via exec (thanks
    lintian)
  * Update translation files with latest versions from Launchpad
  * Add Sinhala translation from upstream
  * Bump Standards version (no further changes)

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Sep 2016 20:15:31 +0200

winff (1.5.3-6) unstable; urgency=medium

  * Testsuite was broken (Depends on ffmpeg, but run libav)
  * Replace libvo_aacenc by aac in preset as libvo_aacenc is generally
    considered less quality
  * Improved check-presets a little bit to harden it against something
    that eats LINE

 -- Paul Gevers <elbrus@debian.org>  Sat, 29 Aug 2015 21:04:18 +0200

winff (1.5.3-5) unstable; urgency=medium

  * Add libgtk2.0-dev to build depends to show that we need it (it was
    briefly dropped from fp-units-gtk-*)
  * Make a temporary home directory to run 'soffice' as this fails if $HOME
    doesn't exist (Closes: #759980)
  * Bump Standards-Version (no changes)
  * Bump compat level to 9
  * Move winff from Recommends to Depends for winff-qt/winff-gtk
    (Closes: #772682)
  * Remove lintian overrides that are now obsolete due to the above move
  * Update Dutch translation (Closes: #783736)
  * Drop the old libavcodec presets, unmaintained and not needed anymore.
  * Change dependency order of ffmpeg and libav-tools now Debian chose the
    former
  * Let the testsuite depend on ffmpeg to fix the latest failures

 -- Paul Gevers <elbrus@debian.org>  Fri, 28 Aug 2015 21:27:57 +0200

winff (1.5.3-4) unstable; urgency=medium

  * Fix typo in description (Closes: #745294)
  * Import three upstream patches:
    - Check exit statis of the terminal (LP: #687687)
    - Fix drag&drop initialization and limit of 100 files
    - Minor typo in hints with double quotes i.s.o. single
  * Update presets for libav 10
  * Remove references to libavcodec-extra-54 now we have libavcodec-extra

 -- Paul Gevers <elbrus@debian.org>  Sun, 25 May 2014 13:50:02 +0200

winff (1.5.3-3) unstable; urgency=low

  * Update Format field in d/copyright
  * Update d/watch as googlecode stopped hosting files
  * Update presets files for recent libav upload in sid. Hooray for
    test suites (Closes: #738528)

 -- Paul Gevers <elbrus@debian.org>  Thu, 13 Feb 2014 21:04:57 +0100

winff (1.5.3-2) unstable; urgency=low

  * Fix FTBFS due to missing debian/winff directory as it is only present
    during building of the architecture all package

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Feb 2014 20:37:52 +0100

winff (1.5.3-1) unstable; urgency=low

  [ Paul Gevers ]
  * New upstream release
  * Fix permissions of nearly all non-build installed files
  * Refresh patches and drop upstreamed ones
  * Add upstream patches to improve deinterlace and 2-pass options
  * Re-add libavcodec-extra-54 to suggests until libavcodec-extra enters
    unstable
  * Fix upstream version number in About menu

  [ Martin Pitt ]
  * debian/tests/control: Fix dependency syntax, and add preferred alternative
    libavcodec-extra-54 dependency, as "libavcodec-extra" does not exist in
    Debian. (Closes: #737541)
  * debian/tests/check-presets: Fix "[[...]]" and "((...))" bashisms.

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Feb 2014 09:31:52 +0100

winff (1.5.1-2) unstable; urgency=low

  * Implemented autopkgtest test to prevent out-of-sync preset file
    - Used the check to update presets against current libav
  * Suggest libavcodec-extra instead of versioned one.
  * Change extentions of old preset files.
  * Update languages from upstream (Closes: #730834)
  * Change location of VCS to Alioth
  * Let "All files" find files without a dot (Closes: #730820)
  * Bump Standard (no changes)

 -- Paul Gevers <elbrus@debian.org>  Fri, 24 Jan 2014 17:05:11 +0100

winff (1.5.1-1) unstable; urgency=low

  * Imported Upstream version 1.5.1
  * Remove obsolete patches (were taken from upstream anyways)
  * Add full path to icon in d/menu (thanks lintian)
  * Add keywords to desktop file (thanks lintian)
  * Update lintian overrides
  * Change GTK in GTK+ in package description (thank lintian)
  * Temporarily add lazarus-src to build dependencies (work around) and
    drop versioned part of fpc
  * Let lazbuild use /etc/lazarus for primary-config-path (Closes: # 713492)
  * patches:
    - fix_symbols: Set debugging symbols to DWARF type as dbg packages were not
      getting good symbols
    - add_xdg-open_to_pdf_viewers: use default pdf viewer
    - build_with_relro: make sure we link with relro
    - use_O2_optimization_iso_default_O1: default Debian optimization
  * Build documentation from source
  * Don't prevent zipping of pdfs
  * Update English documentation from web-site

 -- Paul Gevers <elbrus@debian.org>  Tue, 25 Jun 2013 20:29:06 +0200

winff (1.5.0-1) unstable; urgency=low

  * New upstream release
    - Drop Fix_qt_crash_InvalidatePreferredSize.patch
  * Pull patches from upstream
    - Added-apply-to-all-button.patch
    - Fix-access-violation-with-apply-and-cancel-button.patch
    - Fix-replaceVfParam-fails-at-start-of-cmdline.patch
  * Update languages
  * Update d/copyright with latest contributions from upstream/Launchpad

 -- Paul Gevers <elbrus@debian.org>  Sat, 04 May 2013 07:31:24 +0200

winff (1.5.0~beta-1) experimental; urgency=low

  * New upstream release
  * Fix upstream issue 136, two mp4 presets with two bitrates by using
    presets for libavcodec54 (experimental libav-tools)
  * Update description in d/control to include avconv (closes: #692596)
  * Add lintian overrides for:
    - desktop-command-not-in-package (wishlist: #683060)
    - menu-command-not-in-package (wishlist: #683060)
    - package-contains-broken-symlink (wishlist: #683059)
    - hardening-no-relro (currently not possible in fpc)
    - hardening-no-fortify-functions (currently not possible in fpc)
  * Add patch Fix_qt_crash_InvalidatePreferredSize.patch to prevent run
    failure in qt build and prevent About box to be open on startup.

 -- Paul Gevers <elbrus@debian.org>  Thu, 20 Dec 2012 22:38:27 +0100

winff (1.4.3-1) experimental; urgency=low

  * New upstream release
    - Drop all patches as they are now in the release
    - Remove shuffling of winff.po file in rules as it is now solved upstream
  * debian/control
    - Bump Standards-Version to 3.9.4 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Sat, 06 Oct 2012 20:30:04 +0200

winff (1.4.2-4) experimental; urgency=low

  * Update d/control and d/copyright with my debian.org address
  * Build both a Qt and a GTK2 variant of winff now bug #627345 is closed.
    - d/control: add winff-qt and winff-gtk2 and let winff depend on either
    - Versioned Build-Depends on lcl-qt4 (instead of lcl-qt which doesn't exist)
    - d/rules: build twice with different widget set
    - d/winff-gtk2.* and d/winff-qt.*: add control files
    - use alternatives to choose between variants in postinst and prerm
    - symlink winff-gtk2 and winff-qt manpage to winff manpage
  * Rewrite d/rules to uses short style dh
    - Raise Build-Depends on debhelper to 7.0.50~
    - Remove find line as all permissions are now correct by default after
      dh_fixperms
  * Remove debugging code in d/rules

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Jul 2012 12:15:29 +0200

winff (1.4.2-3) unstable; urgency=low

  * Use latest upstream changes
    - Update translations
    - Use YesToAll button i.s.o. All button (which does not show on
      Linux)
    - Use updated bitrate format settings
  * Update d/control for new svn location
  * Update d/presets.xml to use libvo_aacenc i.s.o. libfaac, so that the
    missing presets can now also be used under Debian/Ubuntu.
    - Update README.Debian to mention this fact.
  * Disable debugging as the FTBFS is gone.

 -- Paul Gevers <paul@climbing.nl>  Thu, 31 May 2012 22:06:12 +0200

winff (1.4.2-2) unstable; urgency=low

  * Add some debugging info to the build log to investigate a FTBFS
    on armel (maybe unneeded since a new Lazarus was uploaded today)

 -- Paul Gevers <paul@climbing.nl>  Wed, 29 Feb 2012 20:21:21 +0100

winff (1.4.2-1) unstable; urgency=low

  * Imported upstream version 1.4.2
  * Remove patches, now applied upstream
  * Update d/presets.xml and d/presets-libavcodec53.xml with upstream
    changes
  * debian/control
    - Bump Standards-Version to 3.9.3 (no changes).
    - Remove winff as dependency of winff-doc (lintian)

 -- Paul Gevers <paul@climbing.nl>  Sun, 26 Feb 2012 18:03:20 +0100

winff (1.4.1-1) unstable; urgency=low

  * Import upstream version 1.4.1
  * Remove all patches, now applied upsteam
  * Update d/presets.xml and d/presets-libavcodec53.xml with upstream
    changes
  * Update d/control to depend on libav-tools as (near future)
    replacement for ffmpeg
  * Add patch to remove win32 as target OS to allow building
  * Add patch to prevent unnecessary linking against libraries
  * Add patch to allow the debugging symbols to be generated

 -- Paul Gevers <paul@climbing.nl>  Thu, 12 Jan 2012 21:42:51 +0100

winff (1.4.0-3) unstable; urgency=low

  * Add upstream patch to allow multiple files to be drag-n-dropped

 -- Paul Gevers <paul@climbing.nl>  Sat, 17 Dec 2011 14:10:49 +0100

winff (1.4.0-2) unstable; urgency=low

  * Add patch to prevent Lazarus from updating translation files on
    local use for ease of debugging
  * Add patches and improved upstream commits 584 and 585
    - Fix drag and drop bug (Upstream: #139, 142)
    - Selection menu adds video extensions (Upstream: #140)
    - Updated about window

 -- Paul Gevers <paul@climbing.nl>  Sun, 11 Dec 2011 17:01:17 +0100

winff (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * Removed all patches, now applied upsteam
  * Update d/clean with additional rule for session file .lps
  * Update d/copyright with simplified upstream copyright logic
  * Brazilian and Traditional Chinese now have proper tag upstream
  * Remove fp-utils from build-depends as the dependency chain is fixed
    now (Closes: #624369)

 -- Paul Gevers <paul@climbing.nl>  Sun, 04 Dec 2011 17:54:10 +0100

winff (1.3.2-5) unstable; urgency=low

  * Update d/copyright to make it dep5 conformal again
  * Update preset files with new upstream files
  * Update presets for Debian with new libavcodec53 presets minus libfaac
    (LP: #871332)
  * Merge debian and ubuntu package
    - Suggest libavcodec-extra-5(2|3)
    - Extend long description with text about libavcodec-extra-##
    - Removed file shuffling from d/rules

 -- Paul Gevers <paul@climbing.nl>  Wed, 12 Oct 2011 22:43:52 +0200

winff (1.3.2-4) unstable; urgency=low

  * Update Chinese translations (Upstream: #118)
  * Update d/rules to include recommended build-indep and build-arch
    targets (lintian)

 -- Paul Gevers <paul@climbing.nl>  Mon, 27 Jun 2011 21:13:07 +0200

winff (1.3.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no change needed)
  * Build depend on fp-utils as work around for bug #624361
  * Use upstream svn fix for bug 110 to prevent overwrite on preview
  * Updated d/copyright with proper fsf address

 -- Paul Gevers <paul@climbing.nl>  Mon, 13 Jun 2011 22:15:18 +0200

winff (1.3.2-2) unstable; urgency=low

  * Preventing additional zeros in time fields from additional options
    (Upstream: #111)
  * Fix presets for old name of libvorbis codec (Upstream: #112)

 -- Paul Gevers <paul@climbing.nl>  Fri, 18 Mar 2011 20:44:52 +0100

winff (1.3.2-1) unstable; urgency=low

  * New upstream release
    + greatly improved GUI layout (LP: #695040)
  * Dropping old patches (upstream now)
  * Moved rm line from d/rules to d/clean and don't clean *.lrt files
    because they now contain essential info (but do clean *.lrs files)
  * Updated d/copyright for new upstream notices and files
  * Updated all preset files to fix upstream bug 108, k in stead of kb
    + added patch for upstream presets.xml file

 -- Paul Gevers <paul@climbing.nl>  Sat, 19 Feb 2011 10:47:39 +0100

winff (1.3.1-2) experimental; urgency=low

  * Changed buttons to adept to string size (partly Launchpad: #695040)
    debian/patches/buttons_with_variable_width (thanks Alexey Osipov)

 -- Paul Gevers <paul@climbing.nl>  Sun, 09 Jan 2011 22:06:41 +0100

winff (1.3.1-1) experimental; urgency=low

  * New upstream release
  * dropped translation patches
  * Added patch fix_last_option_in_advanced_options (LP: #574921)
  * Smart rules file to remove diff Ubuntu/Debian
    - Added control.ubuntu for Ubuntu specific control file
    - Added presets-ubuntu.xml for Ubuntu presets
  * Updated debian/README.debian
  * Bumped standards version to 3.9.1 (no changes needed)

 -- Paul Gevers <paul@climbing.nl>  Thu, 04 Nov 2010 19:34:18 +0100

winff (1.3.0-1) unstable; urgency=low

  * New upstream release
    - cropping is applied to the input file instead of output
    - added ability to edit/copy/save script before executing
    - added 'seek to' and 'time to record' to cropping options
    - added 'volume' and 'async' to audio options
  * Removed patches (all included in upstream)
  * Removed additional translations
  * Rewritten watch file (googlecode changed interface)
  * Removed debian/README.source (not using dpatch anymore)
  * Bumped standards version to 3.9.0 (no changes needed)
  * Patched Dutch and Norwegian translation with latest svn update
  * Replaced dh_clean -k with dh_prep in debian/rules and updated
    debhelper dependency
  * Added permission correction in debian/rules to indep rule
  * Removed lintian override
  * Added DM-Upload-Allowed

 -- Paul Gevers <paul@climbing.nl>  Thu, 22 Jul 2010 20:14:05 +0200

winff (1.2.0-2) unstable; urgency=low

  * debian/patches/empty-presetname-fix.patch:
    - unit1.pas causes an access violation when trying to use an empty
    presetname. This checks for an empty name and avoids accessing it.
    (LP: #521818)
  * Added preset file for ubuntu with libfaac based presets removed
    (LP: #527548)
  * Changed build-dep because lazbuild moved (Closes: #577347)
  * Added Galician and Arabic translations from upstream svn.
  * Updated Portuguese translation patch
  * Updated description of lintian override (not needed for
    update-to-date lintian, but needed for ftp-master).

 -- Paul Gevers <paul@climbing.nl>  Tue, 27 Apr 2010 20:06:53 +0200

winff (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Escape quotes in filenames
    - Check if /usr/local/bin/ffplay exists
    - Improved space for translated strings
  * Updated copyright file with revision 135 of DEP5
  * Bumped policy version to 3.8.4 (no changes needed)
  * Removed translation files now included upstream
  * Patched Swedish, Portugeuse and Italian translation files with
    upstream svn. Thanks to Americo Monteiro. (Closes: #567573)
  * Added winff-doc package to prevent arch:any filling with arch
    independent files.

 -- Paul Gevers <paul@climbing.nl>  Mon, 01 Feb 2010 22:21:58 +0100

winff (1.1.1-2) unstable; urgency=low

  * Changed packaging to 3.0 (quilt) format (no changes needed)
  * debian/rules changed path of lazbuild call (Closes: #560574)
  * Added extra languages from upstream svn

 -- Paul Gevers <paul@climbing.nl>  Fri, 11 Dec 2009 10:44:25 +0100

winff (1.1.1-1) unstable; urgency=low

  * New upstream release
    - New Icons and Logo
    - Remember each preset's last destination directory
    - Fixed importing presets from command line
  * Updated debian/copyright due to new icons and translations
  * Removed patch system again.
  * Updated debian/winff.xmp from new icon and install in
    /usr/share/pixmaps (updated debian/menu)
  * Install pngs to hicolor theme
  * Updated debian/rules to also remove executable mode from icons
  * Updated debian/presets-libavcodec52-vX.xml from upstream site
  * Checked original presets.xml against libavcodec52 (no changes)
  * Add debugging symbols

 -- Paul Gevers <paul@climbing.nl>  Thu, 08 Oct 2009 20:24:35 +0200

winff (1.0.4-2) unstable; urgency=low

  * Bumped policy version to 3.8.3 (no changes needed)
  * Added patch system (dpatch)
  * Fix/improve lanquage support:
    - Added language from upstream forum: Simplified Chinese
    - Patch language files with upstream changes
      (debian/patches/10_update_languages.dpatch)
    - Rename winff.zh.po to winff.zh_TW.po because added zh_CN
    - Rename winff.pb.po to winff.pt_BR.po because pb is unknown
    - Rename winff.po to winff.en.po (and don't create soft-link)
  * Update copyright where appropriate (several translators transfered
    copyright to upstream.)
  * Add breaks shared-mime-info (< 0.40) to control because we use
    generic-icon in mime file (Closes: #541168)

 -- Paul Gevers <paul@climbing.nl>  Fri, 21 Aug 2009 21:51:22 +0200

winff (1.0.4-1) unstable; urgency=low

  * New upstream release
    - Added language: Russian
  * Updated debian/copyright
  * Fixed debian/winff.desktop (was missing two trailing semicolons)
  * Bumped policy version to 3.8.2 (changed section to video)
  * Updated debian/winff.sharedmimeinfo (Closes: #530765)
  * Create soft-link between languages/winff.po and languages/winff.en.po
    (Closes: #531053)
  * A blocking bug in lazarus (515035) has been fixed. (Closes: #511505)
  * Remove dh_desktop from debian/rules because it is deprecated (lintian)
  * Added Vcs-Browser and Vcs-Svn to control file.

 -- Paul Gevers <paul@climbing.nl>  Sun, 05 Jul 2009 13:34:34 +0200

winff (1.0.2-1) unstable; urgency=low

  * New upstream release
    - Added languages: Greek, Hebrew, Slovenian
    - Added shebang to script (Closes: #528629)
  * Updated debian/copyright
  * Added mime support for wff files.
  * Removed lintian spelling-error-in-binary override.

 -- Paul Gevers <paul@climbing.nl>  Mon, 25 May 2009 19:21:36 +0200

winff (1.0.1-2) unstable; urgency=low

  * Point to versioned licenses in debian/copyright (lintian)

 -- Paul Gevers <paul@climbing.nl>  Mon, 30 Mar 2009 17:57:31 +0200

winff (1.0.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Upstream accidentally removed the *.lrs files in an appreciated
    attempt to clean up the source file, so included in the diff. (Needs
    to be dropped next upstream source).
  * Upstream moved documentation, so debian/docs and
    debian/winff.doc-base changed
  * debian/rules prevent compression of pdf
  * Checked original presets against libavcodec51 and libavcodec2 and
    replaced the versions in debian/presets-libavcodecXX-vX.xml
  * Used debian/presets-libavcodec52-v3.xml to create proper
    debian/presets.xml (stripped from non-supported formats)
  * Updated debian/copyright to reflect upstream changes
  * Added suggests for www-browser and pdf-viewer and ${misc:Depends}
    for Depends to debian/control
  * Bumped policy version to 3.8.1 (no changes needed)
  * Updated debian/winff.desktop to use the GenericName properly.
  * Updated debian/README.debian
  * Updated debian/watch to new upstream naming convention
  * Temporarily added lintian overwrite (embedded-zlib and
    spelling-error-in-binary) because of bug 472304 and 519013 in the
    Free Pascal Compiler.

 -- Paul Gevers <paul@climbing.nl>  Sun, 29 Mar 2009 21:20:33 +0200

winff (0.45.1-1) unstable; urgency=low

  * New upstream release
  * Removed absolute path and extension from debian/desktop
  * Added dependency on xterm or x-terminal-emulator (Closes: #510156)
  * Replaced debian/presets_new-style.xml with versions appropriate
    for different versions of libavcodec and added description to
    README.Debian.
  * Added two binary file types to the clean-up line in debian/rules
  * Removed debian/winff.1 (now upstream)

 -- Paul Gevers <paul@climbing.nl>  Fri, 09 Jan 2009 09:33:55 +0100

winff (0.43-2) unstable; urgency=low

  * Added line to debian/rules to fix file permissions in
    /urs/share/winff/
  * Changed title in debian/winff.doc-base

 -- Paul Gevers <paul@climbing.nl>  Mon, 03 Nov 2008 20:11:27 -0600

winff (0.43-1) unstable; urgency=low

  * New upstream release
  * Changes description to include "graphical".
  * Updated debian/copyright to reflect changes in Dutch files.
  * Added presets_new-style.xml for ffmpeg versions that use the
    library name instead of the codec name.
  * Updated README.Debian
  * Rechecked debian/presets.xml against current ffmpeg.

 -- Paul Gevers <paul@climbing.nl>  Sun, 02 Nov 2008 19:04:27 -0600

winff (0.42-2) unstable; urgency=low

  * Initial release (Closes: #485481)

 -- Paul Gevers <paul@climbing.nl>  Thu, 04 Sep 2008 21:04:07 -0500
